﻿using XF.Domain.Repository;

namespace Hotline.KnowledgeBase;

/// <summary>
/// 知识分类
/// </summary>
public class KnowledgeType : Entity
{
    /// <summary>
    /// 类型名称
    /// </summary>
    public string Name { get; set; }

    /// <summary>
    /// 类型名称拼接(所有父级分类名称)
    /// <example>
    /// A类型/A.1类型/A.1.1类型
    /// </example>
    /// </summary>
    public string SpliceName { get; set; }

    /// <summary>
    /// 是否启用
    /// </summary>
    public bool IsEnable { get; set; }

    public int Sort { get; set; }

    /// <summary>
    /// 子类型
    /// </summary>
    public List<KnowledgeType> SubTypes { get; set; } = new();
}

public class KnowledgeTypeWithoutSubTypes
{
    public string Id { get; set; }

    /// <summary>
    /// 类型名称
    /// </summary>
    public string Name { get; set; }

    /// <summary>
    /// 类型名称拼接(所有父级分类名称)
    /// <example>
    /// A类型/A.1类型/A.1.1类型
    /// </example>
    /// </summary>
    public string SpliceName { get; set; }

    /// <summary>
    /// 是否启用
    /// </summary>
    public bool IsEnable { get; set; }

    public int Sort { get; set; }
}